Risultati da 1 a 5 di 5
  1. #1
    Calma di vento
    Data Registrazione
    17/11/16
    LocalitÓ
    Portogruaro (VE)
    EtÓ
    52
    Messaggi
    4
    Menzionato
    0 Post(s)

    Unhappy Compatibilit├* Slideshow e PHP7

    Buongiorno,
    putroppo, causa compresenza Wordpress, ho dovuto aggiornare il dominio a PHP7.
    Il buon vecchio script mi dava una bella pagina bianca...
    Trovato il primo errore, cioŔ la presenza di un comando non pi¨ funzionante (eregi), l'ho sostituito con preg_match.
    La pagina Ŕ ritornata ma... poco funzionante.
    slideshow
    Qualche buonanima ha qualche input ?
    Buona Giornata
    Andrea

  2. #2
    Vento forte L'avatar di Stefano83
    Data Registrazione
    08/11/07
    LocalitÓ
    GalÓtone (LE)
    EtÓ
    34
    Messaggi
    3,796
    Menzionato
    4 Post(s)

    Predefinito Re: Compatibilit├* Slideshow e PHP7

    Mi sembra molto strano che sia necessario l'aggiornamento a Php 7 causa presenza di Wordpress.
    L'ultima versione di quest'ultimo mi risulta la 4.9.6 e gira tranquillamente anche con Php 5.4.7, nel mio caso.

    Magari Ŕ un problema di configurazione server su cui Ŕ ospitato il tuo spazio web, che dipende dal provider, dovresti vedere se Ŕ possibile tornare a Php 5 (su aruba mi sembra ci sia questo tipo di opzione).

    Se invece non fosse possibile, da qui Ŕ difficile capire cosa andrebbe cambiato non avendo sottomano lo script, i comandi che hai citato riguardano le espressioni regolari ma non credo siano gli unici problemi da risolvere, a vedere la pagina.


    Il mio sito: Meteosts

    Reti: MNW - WU - Sup.

    Webcams


    "Colui che segue la folla non andrÓ mai pi¨ lontano della folla. Colui che va da solo sarÓ pi¨ probabile che si troverÓ in luoghi dove nessuno Ŕ mai arrivato" ​(Albert Einstein)

  3. #3
    Calma di vento
    Data Registrazione
    17/11/16
    LocalitÓ
    Portogruaro (VE)
    EtÓ
    52
    Messaggi
    4
    Menzionato
    0 Post(s)

    Predefinito Re: Compatibilit├* Slideshow e PHP7

    In effetti hai ragione, non ho scritto tutto. Su questo dominio oltre a Wordpress c'Ŕ un Joomla, che non Ŕ ancora online perchŔ ci stiamo lavorando. Sportello Famiglia
    E appena uscitÓ la versione 4, che sembra imminente, servirÓ PHP7 per forza. Per cambiare non c'Ŕ problema, posso scegliere io da pannello di controllo se 5.6, 7 o 7.2.
    Quindi devo trovare una soluzione in quel file php.
    Da IGNORANTISSIMO ho provato a sostituire PREG_MATCH a EREGI con opportune "/" qua e lÓ, non dÓ pi¨ errore ma temo la sintassi sia errata.
    Il "pezzo" incriminato, cioŔ quello che in PHP7 mi dÓ errore Ŕ questo.

    function returnimages($dirname,$extension,$start,$stop) {
    $pattern="(\.".$extension."$)"; //
    $files = array();
    if($handle = @opendir($dirname)) {
    while(false !== ($file = readdir($handle))){
    if(eregi($pattern, $file)){ // Se immagine valida
    $info = pathinfo($file);
    if ( $file !== $start && $file !== $stop ) {
    $image_array[] = $info['filename'] ;
    }
    }
    }
    }
    @closedir($handle);

    Grazie
    Andrea

  4. #4
    Vento forte L'avatar di Stefano83
    Data Registrazione
    08/11/07
    LocalitÓ
    GalÓtone (LE)
    EtÓ
    34
    Messaggi
    3,796
    Menzionato
    4 Post(s)

    Predefinito Re: Compatibilit├* Slideshow e PHP7

    Presumo che lo script che hai postato sia quello originale che funzionava regolarmente con la precedente versione di Php.
    Partendo da questo presupposto, hai provato a modificare questa riga:
    Codice:
    if(eregi($pattern, $file)){ // Se immagine valida
    in questo modo:

    Codice:
    if(preg_match("/".$pattern."/", $file)){ // Se immagine valida

    Il mio sito: Meteosts

    Reti: MNW - WU - Sup.

    Webcams


    "Colui che segue la folla non andrÓ mai pi¨ lontano della folla. Colui che va da solo sarÓ pi¨ probabile che si troverÓ in luoghi dove nessuno Ŕ mai arrivato" ​(Albert Einstein)

  5. #5
    Calma di vento
    Data Registrazione
    17/11/16
    LocalitÓ
    Portogruaro (VE)
    EtÓ
    52
    Messaggi
    4
    Menzionato
    0 Post(s)

    Predefinito Re: Compatibilit├* Slideshow e PHP7

    Non so come ringraziarti.
    Avevo provato, ma inserendo solo / senza tutti gli " che hai messo Tu.
    Grazie grazie grazie.
    Andrea

Segnalibri

Permessi di Scrittura

  • Tu non puoi inviare nuove discussioni
  • Tu non puoi inviare risposte
  • Tu non puoi inviare allegati
  • Tu non puoi modificare i tuoi messaggi
  •